require 'omniauth-oauth2'

module OmniAuth
	module Strategies
		class Yokitup < OmniAuth::Strategies::OAuth2
		
			option :name, 'yokitup'

			option :client_options, { site: 'https://id.yokitup.com' }

			uid { raw_info['id'] }

			info do
				{
					email: raw_info['email'],
					name: "#{raw_info['first_name']} #{raw_info['last_name']}",
					first_name: raw_info['first_name'],
					last_name: raw_info['last_name'],
					time_zone: raw_info['time_zone'],
					locale: raw_info['locale']
				}
			end

			extra do
				{
					raw_info: raw_info
				}
			end

			def raw_info
				@raw_info ||= access_token.get('/api/me.json').parsed
			end

		end
	end
end